# Data Visualization Project

<img src="https://travis-ci.com/7PH/EPFL-Data-Visualization-Project.svg?token=Za94vW75EZvYRU3Un778&branch=master">

**A tour of the digital media landscape and its impact on society.**

# Objective
As the internet is slowly replacing the traditional medias platforms, we can wonder what impact these new information flows can have on society.
The internet allows for cross-referencing between multiple sources of information, but because information is so rapidly conveyed, and because chocking news are more likely to be spread all around the internet, disinformation and "fake news" are now part of the landscape.

The aim of this project is to analyze how different events happening in the world are translated in online news.
In short, we want to offer a tour of the digital media landscape and its impact on society.

We want to give an understanding of the impact of news on society by answering simple questions: What type of news is most likely to be conveyed in the media, what news type makes people react the most, what link can we draw between the news content and people feelings, news type popularity by country, and so on.
This visualization tool may also help understand the ethic of certain news platforms, as media bias, or information that are intentionally or unintentionally false. We may also compare the different news platforms and understand which ones that are the most exhaustive and accurate in the information they offer.

# Target audience
This tool could be used by anyone who wants a better insight on the ethics of the news source they are using and get more information on the impact of news on society. This kind of tool might come in handy for journalists, psycologists or even economists.

# Dataset description
The dataset provided by the Gdelt project for this project is a huge amount of data collected. They've been collecting and analysing data from news websites since 2015. They provide a new dataset every 15 min with:
- a csv file containing all of the websites visited
- a huge dataset on BigQuery from which a subset can be extracted to make the visualization
- two pdf files that contains description of the dataset
- the dataset itself:
  - events
  - counts
  - quotes
  - people
  - organizations
  - locations
  - themes
  - emotions
  - relevant imagery
  - video
  - embedded social media posts

# Dataset URL
https://blog.gdeltproject.org/gdelt-2-0-our-global-world-in-realtime/ (Event Database)
